$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.25-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.25-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '6927AE83E9BFC85BC2A719FD5FAB4D9CBA945A69D1D833FB650BC9EC5DBEF509'
  checksumType = 'sha256'
  checksum64 = '6927AE83E9BFC85BC2A719FD5FAB4D9CBA945A69D1D833FB650BC9EC5DBEF509'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.31.25-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
